#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $ $Author: ajb $
# Id:            $Id: Makefile.PL 13723 2011-07-21 15:13:49Z ajb $
# Source:        $Source: /cvsroot/Bio-DasLite/Bio-DasLite/Makefile.PL,v $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/Makefile.PL $
#
package Makefile;
use strict;
use warnings;
use 5.005;
use SangerPaths qw(core tracking badger ensembl);
use ExtUtils::MakeMaker;
use English qw(-no_match_vars);

our $VERSION = do { my @r = (q$Revision: 13723 $ =~ /\d+/mxg); sprintf '%d.'.'%03d' x $#r, @r };

WriteMakefile(
          'NAME'          => 'npg-qc',
          'AUTHOR'        => q(Andy Brown <ajb@sanger.ac.uk>),
          'VERSION_FROM'  => 'lib/npg_qc/controller.pm',
          'DISTNAME'      => 'NPG-QC',
          'PREREQ_PM'     => {
                  'base' => 2.12,
                  'Carp' => 1.04,
                  'CGI' => 3.33,
                  'Class::Accessor' => 0.31,
                  'Class::Std' => '0.0.8',
                  'ClearPress' => 173,
                  'Exporter' => 5.62,
                  'ClearPress::view' => 12,
                  'Config::IniFiles' => 2.38,
                  'DBI' => 1.601,
                  'English' => 1.02,
                  'Fatal' => 0,
                  'File::Basename' => 0,
                  'File::Spec' => 0,
                  'File::Spec::Functions' =>   0,
                  'File::Temp' => 0,
                  'GD' => 2.35,
                  'GD::Graph::area' => 1.17,
                  'GD::Graph::bars' => 1.26,
                  'GD::Graph::bars3d' => 0.63,
                  'GD::Graph::lines' => 1.15,
                  'GD::Graph::lines3d' => 0.63,
                  'GD::Graph::mixed' => 1.13,
                  'IPC::Open3' => 0,
                  'List::Util' => 0,
                  'LoggingDBI' => 1.002,
                  'LWP::UserAgent' => 2.036,
                  'Math::Round' => 0,
                  'Module::Pluggable::Object' => 0,
                  'Moose' => 0,
                  'Moose::Meta::Class' => 0,
                  'MooseX::Aliases' => 0,
                  'MooseX::ClassAttribute' => 0,
                  'MooseX::Getopt' => 0,
                  'MooseX::NonMoose' => 0,
                  'MooseX::Storage' => 0,
                  'Moose::Role' => 0,
                  'Moose::Util' => 0,
                  'Moose::Util::TypeConstraints' => 0,
                  'npg_common::config' => 0,
                  'npg_common::fastqcheck' => 0,
                  'npg_common::diagram::visio_histo_google' => 0,
                  'npg_common::roles::run'  => 0,
                  'npg_common::roles::run::path_info'  => 0,
                  'npg_common::roles::run::short_info' => 0,
                  'npg_common::roles::run::lane::tag'  => 0,
                  'npg_common::roles::run::lane::file_names'  => 0,
                  'npg_common::sequence::reference::roles::find' => 0,
                  'npg_common::sequence::reference::base_count' => 0,
                  'npg::api::run' =>   0,
                  'npg_common::extractor::fastq'   =>  0,
                  'PDL::Lite' => 0,
                  'Perl6::Slurp' => 0,
                  'POSIX' => 0,
                  'Readonly' => '1.03',
                  'Sanger::Graphics::ColourMap' => 0,
                  'SangerPaths' => 1.011,
                  'SangerWeb' => 6.005,
                  'srpipe::runfolder' => 0,
                  'Statistics::Lite' => 0,
                  'strict' => 1.03,
                  'Template' => 2.19,
                  'Test::More' => 0.74,
                  'Test::Exception' => 0,
                  'Test::Deep' => 0,
                  'warnings' => 1.05,
                  'Website::SSO::User' => 1.010,
                  'Website::Utilities::IdGenerator' => 0,
                  'Website::Utilities::Profiler' => 1.002,
                  'XML::LibXML' => 1.65,
                 },
          'dist'          => { COMPRESS => 'gzip', SUFFIX => 'gz', },
         );

1;
