package npg_qc::Schema::Result::Analysis;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::Analysis

=cut

__PACKAGE__->table("analysis");

=head1 ACCESSORS

=head2 id_analysis

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 end

  data_type: 'char'
  is_nullable: 0
  size: 1

=head2 date

  data_type: 'datetime'
  default_value: '0000-00-00 00:00:00'
  is_nullable: 0

=head2 folder

  data_type: 'varchar'
  default_value: (empty string)
  is_nullable: 0
  size: 255

=head2 iscurrent

  data_type: 'tinyint'
  default_value: 0
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_analysis",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  {
    data_type => "bigint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "end",
  { data_type => "char", is_nullable => 0, size => 1 },
  "date",
  {
    data_type     => "datetime",
    default_value => "0000-00-00 00:00:00",
    is_nullable   => 0,
  },
  "folder",
  { data_type => "varchar", default_value => "", is_nullable => 0, size => 255 },
  "iscurrent",
  { data_type => "tinyint", default_value => 0, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_analysis");

=head1 RELATIONS

=head2 analysis_lanes

Type: has_many

Related object: L<npg_qc::Schema::Result::AnalysisLane>

=cut

__PACKAGE__->has_many(
  "analysis_lanes",
  "npg_qc::Schema::Result::AnalysisLane",
  { "foreign.id_analysis" => "self.id_analysis" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:48
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:D0bQguX1LtPFD9yq0+KHJw


# You can replace this text with custom content, and it will be preserved on regeneration
1;
