package npg_qc::Schema::Result::BamFlagstat;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::BamFlagstat

=cut

__PACKAGE__->table("bam_flagstats");

=head1 ACCESSORS

=head2 id_bam_flagstats

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 human_split

  data_type: 'varchar'
  default_value: 'all'
  is_nullable: 1
  size: 10

=head2 library

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 unpaired_mapped_reads

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 paired_mapped_reads

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 unmapped_reads

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 unpaired_read_duplicates

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 paired_read_duplicates

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 read_pair_optical_duplicates

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 percent_duplicate

  data_type: 'float'
  is_nullable: 1
  size: [5,2]

=head2 library_size

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 histogram

  data_type: 'text'
  is_nullable: 1

=head2 proper_mapped_pair

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 mate_mapped_defferent_chr

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 mate_mapped_defferent_chr_5

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 num_total_reads

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_bam_flagstats",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "human_split",
  {
    data_type => "varchar",
    default_value => "all",
    is_nullable => 1,
    size => 10,
  },
  "library",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "unpaired_mapped_reads",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "paired_mapped_reads",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "unmapped_reads",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "unpaired_read_duplicates",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "paired_read_duplicates",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "read_pair_optical_duplicates",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "percent_duplicate",
  { data_type => "float", is_nullable => 1, size => [5, 2] },
  "library_size",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "histogram",
  { data_type => "text", is_nullable => 1 },
  "proper_mapped_pair",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "mate_mapped_defferent_chr",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "mate_mapped_defferent_chr_5",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "num_total_reads",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
);
__PACKAGE__->set_primary_key("id_bam_flagstats");
__PACKAGE__->add_unique_constraint(
  "unq_run_lane_index_sp_flag",
  ["id_run", "position", "human_split", "tag_index"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:05IMvUgVSiXm20BdM9LnYA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
