package npg_qc::Schema::Result::CacheQuery;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::CacheQuery

=cut

__PACKAGE__->table("cache_query");

=head1 ACCESSORS

=head2 id_cache_query

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 cache_time

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0

=head2 ssha_sql

  data_type: 'char'
  is_nullable: 0
  size: 28

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 end

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 type

  data_type: 'varchar'
  is_nullable: 0
  size: 20

=head2 results

  data_type: 'mediumtext'
  is_nullable: 0

=head2 is_current

  data_type: 'tinyint'
  default_value: 1
  extra: {unsigned => 1}
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_cache_query",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "cache_time",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
  },
  "ssha_sql",
  { data_type => "char", is_nullable => 0, size => 28 },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "end",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "type",
  { data_type => "varchar", is_nullable => 0, size => 20 },
  "results",
  { data_type => "mediumtext", is_nullable => 0 },
  "is_current",
  {
    data_type => "tinyint",
    default_value => 1,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
);
__PACKAGE__->set_primary_key("id_cache_query");


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:WMxLve1bQ+VrI3q2r6r9pQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
