package npg_qc::Schema::Result::ChipSummary;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::ChipSummary

=cut

__PACKAGE__->table("chip_summary");

=head1 ACCESSORS

=head2 id_chip_summary

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 chip_id

  data_type: 'tinytext'
  is_nullable: 1

=head2 clusters

  data_type: 'bigint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 1

=head2 clusters_pf

  data_type: 'bigint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 1

=head2 yield_kb

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 paired

  data_type: 'tinyint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 1

=head2 machine

  data_type: 'tinytext'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_chip_summary",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "chip_id",
  { data_type => "tinytext", is_nullable => 1 },
  "clusters",
  {
    data_type => "bigint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 1,
  },
  "clusters_pf",
  {
    data_type => "bigint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 1,
  },
  "yield_kb",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "paired",
  {
    data_type => "tinyint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 1,
  },
  "machine",
  { data_type => "tinytext", is_nullable => 1 },
);
__PACKAGE__->set_primary_key("id_chip_summary");
__PACKAGE__->add_unique_constraint("unq_idx_cs_idrun", ["id_run"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:eFdrt2NudZmI+8stQcXGYA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
