package npg_qc::Schema::Result::ClusterDensity;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::ClusterDensity

=cut

__PACKAGE__->table("cluster_density");

=head1 ACCESSORS

=head2 id_cluster_density

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 is_pf

  data_type: 'tinyint'
  is_nullable: 0

=head2 min

  data_type: 'double precision'
  extra: {unsigned => 1}
  is_nullable: 1
  size: [12,3]

=head2 max

  data_type: 'double precision'
  extra: {unsigned => 1}
  is_nullable: 1
  size: [12,3]

=head2 p50

  data_type: 'double precision'
  extra: {unsigned => 1}
  is_nullable: 1
  size: [12,3]

=cut

__PACKAGE__->add_columns(
  "id_cluster_density",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "is_pf",
  { data_type => "tinyint", is_nullable => 0 },
  "min",
  {
    data_type => "double precision",
    extra => { unsigned => 1 },
    is_nullable => 1,
    size => [12, 3],
  },
  "max",
  {
    data_type => "double precision",
    extra => { unsigned => 1 },
    is_nullable => 1,
    size => [12, 3],
  },
  "p50",
  {
    data_type => "double precision",
    extra => { unsigned => 1 },
    is_nullable => 1,
    size => [12, 3],
  },
);
__PACKAGE__->set_primary_key("id_cluster_density");
__PACKAGE__->add_unique_constraint("unq_idx_cluster_density", ["id_run", "position", "is_pf"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:Wr9NRLqyboOV5JT/JGD4zA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
