package npg_qc::Schema::Result::Contamination;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::Contamination

=cut

__PACKAGE__->table("contamination");

=head1 ACCESSORS

=head2 id_contamination

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 aligner_version

  data_type: 'varchar'
  is_nullable: 1
  size: 50

=head2 reference_version

  data_type: 'varchar'
  is_nullable: 1
  size: 50

=head2 genome_factor

  data_type: 'text'
  is_nullable: 0

=head2 contaminant_count

  data_type: 'text'
  is_nullable: 0

=head2 read_count

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_contamination",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "aligner_version",
  { data_type => "varchar", is_nullable => 1, size => 50 },
  "reference_version",
  { data_type => "varchar", is_nullable => 1, size => 50 },
  "genome_factor",
  { data_type => "text", is_nullable => 0 },
  "contaminant_count",
  { data_type => "text", is_nullable => 0 },
  "read_count",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_contamination");
__PACKAGE__->add_unique_constraint(
  "unq_run_lane_contamination",
  ["id_run", "position", "tag_index"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:jQFFOTvEUnJjKxM0gOlDVQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
