package npg_qc::Schema::Result::LaneQc;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::LaneQc

=cut

__PACKAGE__->table("lane_qc");

=head1 ACCESSORS

=head2 id_lane_qc

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 end

  data_type: 'char'
  is_nullable: 0
  size: 1

=head2 clusters_raw

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 av_1st_cycle_int_pf

  data_type: 'float'
  is_nullable: 0
  size: [6,2]

=head2 av_perc_intensity_after_20_cycles_pf

  data_type: 'float'
  is_nullable: 0
  size: [5,2]

=head2 perc_pf_clusters

  data_type: 'float'
  is_nullable: 0
  size: [5,2]

=head2 perc_align_pf

  data_type: 'float'
  is_nullable: 1
  size: [5,2]

=head2 av_alignment_score_pf

  data_type: 'float'
  is_nullable: 1
  size: [5,2]

=head2 perc_error_rate_pf

  data_type: 'float'
  is_nullable: 1
  size: [5,2]

=cut

__PACKAGE__->add_columns(
  "id_lane_qc",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run_tile",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "end",
  { data_type => "char", is_nullable => 0, size => 1 },
  "clusters_raw",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 0 },
  "av_1st_cycle_int_pf",
  { data_type => "float", is_nullable => 0, size => [6, 2] },
  "av_perc_intensity_after_20_cycles_pf",
  { data_type => "float", is_nullable => 0, size => [5, 2] },
  "perc_pf_clusters",
  { data_type => "float", is_nullable => 0, size => [5, 2] },
  "perc_align_pf",
  { data_type => "float", is_nullable => 1, size => [5, 2] },
  "av_alignment_score_pf",
  { data_type => "float", is_nullable => 1, size => [5, 2] },
  "perc_error_rate_pf",
  { data_type => "float", is_nullable => 1, size => [5, 2] },
);
__PACKAGE__->set_primary_key("id_lane_qc");
__PACKAGE__->add_unique_constraint("unq_idx_lqc_rt_end", ["id_run_tile", "end"]);

=head1 RELATIONS

=head2 id_run_tile

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RunTile>

=cut

__PACKAGE__->belongs_to(
  "id_run_tile",
  "npg_qc::Schema::Result::RunTile",
  { id_run_tile => "id_run_tile" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:657DkRGoRV7uz671cIbmEw


# You can replace this text with custom content, and it will be preserved on regeneration
1;
