package npg_qc::Schema::Result::LogLikelihood;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::LogLikelihood

=cut

__PACKAGE__->table("log_likelihood");

=head1 ACCESSORS

=head2 id_log_likelihood

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 read_as

  data_type: 'char'
  is_nullable: 1
  size: 1

=head2 really_a

  data_type: 'smallint'
  is_nullable: 0

=head2 really_c

  data_type: 'smallint'
  is_nullable: 0

=head2 really_g

  data_type: 'smallint'
  is_nullable: 0

=head2 really_t

  data_type: 'smallint'
  is_nullable: 0

=head2 rescore

  data_type: 'tinyint'
  default_value: 0
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_log_likelihood",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run_tile",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "read_as",
  { data_type => "char", is_nullable => 1, size => 1 },
  "really_a",
  { data_type => "smallint", is_nullable => 0 },
  "really_c",
  { data_type => "smallint", is_nullable => 0 },
  "really_g",
  { data_type => "smallint", is_nullable => 0 },
  "really_t",
  { data_type => "smallint", is_nullable => 0 },
  "rescore",
  { data_type => "tinyint", default_value => 0, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_log_likelihood");
__PACKAGE__->add_unique_constraint(
  "unq_idx_llh_rt_rescore_cycle_readas",
  ["id_run_tile", "rescore", "cycle", "read_as"],
);

=head1 RELATIONS

=head2 id_run_tile

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RunTile>

=cut

__PACKAGE__->belongs_to(
  "id_run_tile",
  "npg_qc::Schema::Result::RunTile",
  { id_run_tile => "id_run_tile" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:uj4esshB8bqSbtRTaKARVg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
