package npg_qc::Schema::Result::MoveZ;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::MoveZ

=cut

__PACKAGE__->table("move_z");

=head1 ACCESSORS

=head2 id_move_z

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 currentz

  data_type: 'smallint'
  is_nullable: 0

=head2 targetz

  data_type: 'smallint'
  is_nullable: 0

=head2 newz

  data_type: 'smallint'
  is_nullable: 0

=head2 start

  data_type: 'bigint'
  is_nullable: 0

=head2 stop

  data_type: 'bigint'
  is_nullable: 0

=head2 move

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_move_z",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run_tile",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "currentz",
  { data_type => "smallint", is_nullable => 0 },
  "targetz",
  { data_type => "smallint", is_nullable => 0 },
  "newz",
  { data_type => "smallint", is_nullable => 0 },
  "start",
  { data_type => "bigint", is_nullable => 0 },
  "stop",
  { data_type => "bigint", is_nullable => 0 },
  "move",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_move_z");
__PACKAGE__->add_unique_constraint("unq_idx_movez_rt_cycle", ["id_run_tile", "cycle"]);

=head1 RELATIONS

=head2 id_run_tile

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RunTile>

=cut

__PACKAGE__->belongs_to(
  "id_run_tile",
  "npg_qc::Schema::Result::RunTile",
  { id_run_tile => "id_run_tile" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:k18slhPEU2ift/VxIlrHQQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
