package npg_qc::Schema::Result::RecipeFile;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::RecipeFile

=cut

__PACKAGE__->table("recipe_file");

=head1 ACCESSORS

=head2 id_recipe_file

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 file_name

  data_type: 'varchar'
  is_nullable: 0
  size: 255

=head2 md5

  data_type: 'char'
  is_nullable: 0
  size: 32

=head2 xml

  data_type: 'mediumtext'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_recipe_file",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "file_name",
  { data_type => "varchar", is_nullable => 0, size => 255 },
  "md5",
  { data_type => "char", is_nullable => 0, size => 32 },
  "xml",
  { data_type => "mediumtext", is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_recipe_file");
__PACKAGE__->add_unique_constraint("unq_idx_name_md5", ["file_name", "md5"]);

=head1 RELATIONS

=head2 run_recipes

Type: has_many

Related object: L<npg_qc::Schema::Result::RunRecipe>

=cut

__PACKAGE__->has_many(
  "run_recipes",
  "npg_qc::Schema::Result::RunRecipe",
  { "foreign.id_recipe_file" => "self.id_recipe_file" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:R8CzqCMQYkD60sDQ+oO1pg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
