package npg_qc::Schema::Result::RunGraph;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::RunGraph

=cut

__PACKAGE__->table("run_graph");

=head1 ACCESSORS

=head2 id_run_graph

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 end

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 yield_gb

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 avg_error

  data_type: 'float'
  is_nullable: 1
  size: [5,2]

=head2 avg_cluster_per_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 avg_cluster_per_tile_raw

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 avg_cluster_per_tile_control

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 avg_cluster_per_tile_raw_control

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_run_graph",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "end",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "yield_gb",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "avg_error",
  { data_type => "float", is_nullable => 1, size => [5, 2] },
  "avg_cluster_per_tile",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "avg_cluster_per_tile_raw",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "avg_cluster_per_tile_control",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "avg_cluster_per_tile_raw_control",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 1 },
);
__PACKAGE__->set_primary_key("id_run_graph");
__PACKAGE__->add_unique_constraint("unq_idx_rungraph_idrun_end", ["id_run", "end"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:+DV4EzAhH6cNKnGUbgDzBw


# You can replace this text with custom content, and it will be preserved on regeneration
1;
