package npg_qc::Schema::Result::RunRecipe;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::RunRecipe

=cut

__PACKAGE__->table("run_recipe");

=head1 ACCESSORS

=head2 id_run_recipe

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 lane

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 tile

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 col

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 first_indexing_cycle

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 last_indexing_cycle

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 cycle_read1

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 cycle_read2

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 id_recipe_file

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_run_recipe",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "lane",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "tile",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "col",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "first_indexing_cycle",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 1 },
  "last_indexing_cycle",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 1 },
  "cycle_read1",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 1 },
  "cycle_read2",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 1 },
  "id_recipe_file",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 1,
  },
);
__PACKAGE__->set_primary_key("id_run_recipe");
__PACKAGE__->add_unique_constraint("unq_idx_run", ["id_run"]);

=head1 RELATIONS

=head2 id_recipe_file

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RecipeFile>

=cut

__PACKAGE__->belongs_to(
  "id_recipe_file",
  "npg_qc::Schema::Result::RecipeFile",
  { id_recipe_file => "id_recipe_file" },
  { join_type => "LEFT", on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:VPpNxszOgao3djefj8/DRA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
