package npg_qc::Schema::Result::SplitStats;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::SplitStats

=cut

__PACKAGE__->table("split_stats");

=head1 ACCESSORS

=head2 id_split_stats

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 filename1

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 filename2

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 ref_name

  data_type: 'varchar'
  is_nullable: 0
  size: 50

=head2 reference

  data_type: 'varchar'
  is_nullable: 0
  size: 256

=head2 num_aligned1

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 num_not_aligned1

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 alignment_depth1

  data_type: 'text'
  is_nullable: 1

=head2 num_aligned2

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 num_not_aligned2

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 alignment_depth2

  data_type: 'text'
  is_nullable: 1

=head2 num_aligned_merge

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 num_not_aligned_merge

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_split_stats",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "filename1",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "filename2",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "ref_name",
  { data_type => "varchar", is_nullable => 0, size => 50 },
  "reference",
  { data_type => "varchar", is_nullable => 0, size => 256 },
  "num_aligned1",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "num_not_aligned1",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "alignment_depth1",
  { data_type => "text", is_nullable => 1 },
  "num_aligned2",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "num_not_aligned2",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "alignment_depth2",
  { data_type => "text", is_nullable => 1 },
  "num_aligned_merge",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "num_not_aligned_merge",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 1 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_split_stats");
__PACKAGE__->add_unique_constraint(
  "unq_run_lane_split_stats",
  ["id_run", "position", "tag_index", "ref_name"],
);

=head1 RELATIONS

=head2 split_stats_coverages

Type: has_many

Related object: L<npg_qc::Schema::Result::SplitStatsCoverage>

=cut

__PACKAGE__->has_many(
  "split_stats_coverages",
  "npg_qc::Schema::Result::SplitStatsCoverage",
  { "foreign.id_split_stats" => "self.id_split_stats" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2010-11-24 10:24:21
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:xxKEBT4B5tQq2TZWBnwJfg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
