package npg_qc::Schema::Result::SplitStatsCoverage;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::SplitStatsCoverage

=cut

__PACKAGE__->table("split_stats_coverage");

=head1 ACCESSORS

=head2 id_split_stats_coverage

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_split_stats

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 chromosome

  data_type: 'varchar'
  is_nullable: 0
  size: 20

=head2 fastq

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 coverage

  data_type: 'float'
  extra: {unsigned => 1}
  is_nullable: 1
  size: [8,4]

=cut

__PACKAGE__->add_columns(
  "id_split_stats_coverage",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_split_stats",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "chromosome",
  { data_type => "varchar", is_nullable => 0, size => 20 },
  "fastq",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "coverage",
  {
    data_type => "float",
    extra => { unsigned => 1 },
    is_nullable => 1,
    size => [8, 4],
  },
);
__PACKAGE__->set_primary_key("id_split_stats_coverage");
__PACKAGE__->add_unique_constraint(
  "unq_split_chromosome_coverage",
  ["id_split_stats", "fastq", "chromosome"],
);

=head1 RELATIONS

=head2 id_split_stat

Type: belongs_to

Related object: L<npg_qc::Schema::Result::SplitStats>

=cut

__PACKAGE__->belongs_to(
  "id_split_stat",
  "npg_qc::Schema::Result::SplitStats",
  { id_split_stats => "id_split_stats" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:h4lAAOYK/9KEeWaHHWm5jg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
