package npg_qc::Schema::Result::TileScore;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::TileScore

=cut

__PACKAGE__->table("tile_score");

=head1 ACCESSORS

=head2 id_tile_score

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 base_count

  data_type: 'integer'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 error_count

  data_type: 'integer'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 blank_count

  data_type: 'integer'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 unique_alignments

  data_type: 'integer'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 ua_total_score

  data_type: 'integer'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 cycles

  data_type: 'tinyint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 rescore

  data_type: 'tinyint'
  default_value: 0
  is_nullable: 0

=head2 score_version

  data_type: 'float'
  default_value: 0.00
  is_nullable: 0
  size: [5,2]

=head2 score_date_run

  data_type: 'datetime'
  default_value: '0000-00-00 00:00:00'
  is_nullable: 0

=head2 phagealign_version

  data_type: 'float'
  default_value: 0.00
  is_nullable: 0
  size: [5,2]

=head2 phagealign_date_run

  data_type: 'datetime'
  default_value: '0000-00-00 00:00:00'
  is_nullable: 0

=head2 max_blanks

  data_type: 'smallint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 seq_length

  data_type: 'smallint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 genome_file

  data_type: 'varchar'
  is_nullable: 1
  size: 255

=head2 bases_used

  data_type: 'text'
  is_nullable: 0

=head2 qualityfilter_version

  data_type: 'float'
  is_nullable: 1
  size: [5,2]

=head2 qualityfilter_date_run

  data_type: 'datetime'
  is_nullable: 1

=head2 filter_criterion

  data_type: 'text'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_tile_score",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run_tile",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "base_count",
  {
    data_type => "integer",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "error_count",
  {
    data_type => "integer",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "blank_count",
  {
    data_type => "integer",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "unique_alignments",
  {
    data_type => "integer",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "ua_total_score",
  {
    data_type => "integer",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "cycles",
  {
    data_type => "tinyint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "rescore",
  { data_type => "tinyint", default_value => 0, is_nullable => 0 },
  "score_version",
  {
    data_type => "float",
    default_value => "0.00",
    is_nullable => 0,
    size => [5, 2],
  },
  "score_date_run",
  {
    data_type     => "datetime",
    default_value => "0000-00-00 00:00:00",
    is_nullable   => 0,
  },
  "phagealign_version",
  {
    data_type => "float",
    default_value => "0.00",
    is_nullable => 0,
    size => [5, 2],
  },
  "phagealign_date_run",
  {
    data_type     => "datetime",
    default_value => "0000-00-00 00:00:00",
    is_nullable   => 0,
  },
  "max_blanks",
  {
    data_type => "smallint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "seq_length",
  {
    data_type => "smallint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "genome_file",
  { data_type => "varchar", is_nullable => 1, size => 255 },
  "bases_used",
  { data_type => "text", is_nullable => 0 },
  "qualityfilter_version",
  { data_type => "float", is_nullable => 1, size => [5, 2] },
  "qualityfilter_date_run",
  { data_type => "datetime", is_nullable => 1 },
  "filter_criterion",
  { data_type => "text", is_nullable => 1 },
);
__PACKAGE__->set_primary_key("id_tile_score");
__PACKAGE__->add_unique_constraint("unq_idx_rt_rescore", ["id_run_tile", "rescore"]);

=head1 RELATIONS

=head2 id_run_tile

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RunTile>

=cut

__PACKAGE__->belongs_to(
  "id_run_tile",
  "npg_qc::Schema::Result::RunTile",
  { id_run_tile => "id_run_tile" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:SzweRHyd1CMRgACanJDzdQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
