#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-09-24
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: split_stats_coverage.pm 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/lib/npg_qc/autoqc/db/checks/split_stats_coverage.pm $
#
package npg_qc::autoqc::db::checks::split_stats_coverage;

use strict;
use warnings;
use npg_qc::autoqc::db::Schema;
use Fey::ORM::Table;

with qw( npg_qc::autoqc::db::DB );

our $VERSION   = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mxs; $r; };

sub load_table{
  my ($self, $schema) = @_;

  my $table = $schema->table('split_stats_coverage');

  if(!$self->Table()){

       has_table $table;
  }
  return $self->Table();
}

1;
__END__

=head1 NAME

npg_qc::autoqc::db::checks::split_stats_coverage

=head1 VERSION

$Revision: 13723 $

=head1 SYNOPSIS

=head1 DESCRIPTION

This class defines a database table class using Fey::ORM,
linking to autoqc data table split_stats,
inheriting autoqc result Moose class and autoqc db DB class to use their methods.

=head1 SUBROUTINES/METHODS

=head2 load_table - load table using given schema

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

strict;
warnings;
npg_qc::autoqc::db::Schema;
Fey::ORM::Table;
npg_qc::autoqc::db::DB;

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi, E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.8 or,
at your option, any later version of Perl 5 you may have available.

=cut
