#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2010-01-05
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: run_info.pm 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/lib/npg_qc/view/run_info.pm $
#

package npg_qc::view::run_info;
use strict;
use warnings;
use base qw(npg_qc::view);
use Readonly;
use Carp;
use English qw(-no_match_vars);

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mxs; $r; };

sub read_xml{
  my ($self) = @_;
  my $cgi   = $self->util->cgi();
  my $model = $self->model();
  my $id_run = $model->id_run_info();

  $model = npg_qc::model::run_info->new({util => $self->util(),id_run => $id_run});
  $self->model($model);

  return 1;
}

1;
__END__
=head1 NAME

npg_qc::view::run_info

=head1 VERSION

$Revision: 13723 $

=head1 SYNOPSIS

  my $o = npg_qc::view::run_info->new({util => $util});

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head2 read_xml - convert the current primary key id_run_info to id_run and return the run info xml

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

strict
warnings
npg_qc::view

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi, E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Andy Brown

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.4 or,
at your option, any later version of Perl 5 you may have available.

=cut
