#!/software/bin/perl

#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: ajb $
# Created:       2 August 2010
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: backfill_tag_decode_stats.pl 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/one-offs/additionl_split_tag_info/backfill_tag_decode_stats.pl $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use File::Temp qw/ tempdir /;
use npg_qc::autoqc::results::tag_decode_stats;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

# See RT ticket 180398 https://rt.sanger.ac.uk/Ticket/Display.html?id=180398

my $data_file = q[data/tag_decode_stats_additions.txt];
my $data = {};
open my $fh, '<', $data_file or croak qq[Cannot open file $data_file for reading];
while (my $line = <$fh>) {
    my @fields = split /\s/smx, $line;
    my $id_run = $fields[4];
    my $position = $fields[5];
    my $tag_index = $fields[6];
    $data->{$id_run}->{$position}->{$tag_index}->{count} = $fields[1];
    $data->{$id_run}->{$position}->{$tag_index}->{sequence} = $fields[2];
}
close $fh;

my $path = q[backfill_RTticket_180398];
my $archive = tempdir( CLEANUP => 1 );
carp qq[Archive directory $archive];
foreach my $id_run (sort keys %{$data}) {
    my $run_archive = $archive . q[/] . $id_run;
    `mkdir $run_archive`;
    foreach my $position (sort keys %{$data->{$id_run}}) {
         my $result = npg_qc::autoqc::results::tag_decode_stats->new(
                 path => $path, id_run => $id_run, position => $position);
         my $tags = {};
         my $counts = {};
         foreach my $tag_index (sort keys %{$data->{$id_run}->{$position}}) {
	     $tags->{$tag_index} = $data->{$id_run}->{$position}->{$tag_index}->{sequence};
             $counts->{$tag_index} = $data->{$id_run}->{$position}->{$tag_index}->{count};
	 }
	 $result->tag_code($tags);
         $result->distribution_good($counts);
	 my $fname = $run_archive . q[/] . $id_run . q[_] . $position . q[.json];
         open my $wfh, '>', $fname or croak qq[Cannot open file $fname for writing $!];
         print $wfh $result->freeze();
         close $wfh;
         
    }
    `scripts/npg_qc_autoqc_data.pl --path=$run_archive --id_run=$id_run`;
}


1;
