#!/nfs/team117/gq1/dev/bin/perl -wT
##!/software/bin/perl -wT

#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-02-16
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: npg_qc_api_delete_qc_data.pl 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/scripts/npg_qc_api_delete_qc_data.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use npg_qc::api::util;
use LWP::UserAgent;
use Carp;
use English qw{-no_match_vars};
use npg_qc::api::delete_qc_data;
use Getopt::Long;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);

$ENV{dev} = 'dev';

main();
0;

sub main {
  print qq{Processing...\n};
  
  if(!$ENV{dev}){
    print "**********\nLIVE DATABASE IS BEING USED!!!\n**********\n";
  }else{
    print "**********\nDEV DATABASE IS BEING USED!!!\n**********\n";
  }

  print "Input yes to continue:\n";
  my $input = <STDIN>;
  chomp $input;
  if($input ne 'yes'){
      croak 'The script canceled!';
  }
  my $opts = initialise();

  my $util = npg_qc::api::util->new({
    useragent => undef,
    base_uri  => undef,
    parser    => undef,
  });

  my $delete_qc_data = npg_qc::api::delete_qc_data->new({util => $util});

  eval{
    if($opts->{id_run}){
      $delete_qc_data->set_id_run($opts->{id_run});
      $delete_qc_data->delete_all_qc_data();
    }else{
      print qq{id_run was not given!\n};
    }

    if($opts->{id_run_pair}){
      $delete_qc_data->set_id_run($opts->{id_run_pair});
      $delete_qc_data->delete_all_qc_data();
    }
    1; 
  } or do {
    croak $EVAL_ERROR;
  };
  print qq{\nAll processed successfully.\n};
}

# ----------------------------------------------------------------------
sub initialise {

    my %options = (end=>1, update=>0);

    my $rc = GetOptions(\%options,
                        'id_run:i',
                        'id_run_pair:i',
                        );
    return \%options;

}
