#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-07-22
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 10-model-error_rate_relative_sequence_base.t 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/t/10-model-error_rate_relative_sequence_base.t $ 
#

use strict;
use warnings;
use Test::More tests => 7;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::run_tile;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::error_rate_relative_sequence_base');
my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::error_rate_relative_sequence_base->new({
    util                                 => $util,
    id_error_rate_relative_sequence_base => 1,
    id_run_tile                          => 1,
  });
  isa_ok($model, 'npg_qc::model::error_rate_relative_sequence_base', '$model');
  isa_ok($model->run_tile(), 'npg_qc::model::run_tile', '$model->run_tile()');
}

{
  my $model = npg_qc::model::error_rate_relative_sequence_base->new({
    util => $util,
    id_run_tile      => 20,
    read_as          => 'T',
    really_a         => 0.15,
    really_t         => 0.98,
    really_c         => 0.23,
    really_g         => 0.05,
    rescore          => 1,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 'saving data - rescore 1');  
}

{
  my $model = npg_qc::model::error_rate_relative_sequence_base->new({
    util => $util,
    id_run_tile      => 20,
    read_as          => 'T',
    really_a         => 0.15,
    really_t         => 0.97,
    really_c         => 0.23,
    really_g         => 0.05,
    rescore          => 1,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 're-saving data - rescore 1');  
}

{
  my $model = npg_qc::model::error_rate_relative_sequence_base->new({
    util => $util,
    id_run_tile      => 20,
    read_as          => 'T',
    really_a         => 0.15,
    really_t         => 0.98,
    really_c         => 0.23,
    really_g         => 0.05,
    rescore          => 0,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 'saving data - rescore 0');  
}

{
  my $model = npg_qc::model::error_rate_relative_sequence_base->new({
    util => $util,
    id_run_tile      => 20,
    read_as          => 'T',
    really_a         => 0.15,
    really_t         => 0.97,
    really_c         => 0.23,
    really_g         => 0.05,
    rescore          => 0,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 're-saving data - rescore 0');  
}
