#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-01-19
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 10-model-frequency_response_matrix.t 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/t/10-model-frequency_response_matrix.t $
#

use strict;
use warnings;
use Test::More tests => 5;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::frequency_response_matrix;
;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::frequency_response_matrix');


my $util = t::util->new({fixtures =>1});


{
  my $model = npg_qc::model::frequency_response_matrix->new({util => $util});
  isa_ok($model, 'npg_qc::model::frequency_response_matrix', '$model');
}


{
  my $model = npg_qc::model::frequency_response_matrix->new({
     util => $util,
     });
  eval { $model->save() };
  like($EVAL_ERROR, qr{Column\ \'id_run\'\ cannot\ be\ null}, 'field id_run in table frequency_response_matrix cannot be null');  
  
}

{
  my $model = npg_qc::model::frequency_response_matrix->new({
     util => $util,
     id_run => 1,
     cycle  => 2,
     lane   => 1,
     base   => 'A',
     red1   => 0.23,
     red2   => -0.01,
     green1 => 0.02,
     green2 => 0.03,
     });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 'no croak when saving data');  
   eval { $model->save() };
  is($EVAL_ERROR, q{}, 'no croak when re-saving data'); 
}
