#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-06-16
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 20-view-analysis.t 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/t/20-view-analysis.t $
#

use strict;
use warnings;
use Test::More tests => 8;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::analysis');


use_ok('npg_qc::view::analysis');
my $util = t::util->new({fixtures => 1});

my $model = npg_qc::model::analysis->new({
  util => $util,
});

can_ok($model, 'analysis_lanes');

my $analysis_request_xml = $util->rendered('t/data/rendered/analysis_request.xml');

{
  my $cgi = $util->cgi();
  $cgi->param('XForms:Model', $analysis_request_xml);
  my $view = npg_qc::view::analysis->new({
      util => $util,
      model => $model,
      action => q{list},
      aspect => q{list_xml},
    });
  isa_ok($view, 'npg_qc::view::analysis', '$view');

  is($view->decor(), 0, '$view->decor() returns 0');
  is($view->content_type(), 'application/xml', '$view->content_type() is application/xml');
  my $render;
  eval{ $render = $view->render(); };
  is($EVAL_ERROR, q{}, 'no croak on $view->render() for $analysis_request_xml');
  ok($util->test_rendered($render, 't/data/rendered/analysis.xml'), 'render is ok');
}
