#!/Users/ajb/dev/bin/perl -w
#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-06-16
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 20-view-signal_mean.t 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/t/20-view-signal_mean.t $
#

use strict;
use warnings;
use Test::More tests => 6;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::signal_mean;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::view::signal_mean');

my $util  = t::util->new({});
{
  my $model = npg_qc::model::signal_mean->new({util => $util});
  my $view  = npg_qc::view::signal_mean->new({
    util   => $util,
    model  => $model,
    action => 'read',
    aspect => 'read_png',
  });

  isa_ok($view, 'npg_qc::view::signal_mean', '$view');
  is($view->decor(), 0, 'aspect read_png decor ok');
  is($view->content_type(), 'image/png', 'aspect read_png content_type ok');
}

{
  my $model = npg_qc::model::signal_mean->new({util => $util});
  my $view  = npg_qc::view::signal_mean->new({
    util   => $util,
    model  => $model,
    action => 'list',
    aspect => q{},
  });

  is($view->decor(), 1, 'action list decor ok');
  is($view->content_type(), 'text/html', 'action list content_type ok');
}

1;
__END__
