use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More 'no_plan';
use Test::Exception;
use lib qw{t};
use SangerPaths qw(core);
use t::api::util;

BEGIN {
  use_ok(q{npg_qc::api::loader::Qcal_Report});
}

my $util = t::api::util->new({
                dbh => 'dummy',
                fixtures => 1,
                useragent => undef,
                });

{
  #test for paird run
  my $loader;
  
  my $runfolder_path = qq{t/data/nfs/sf44/IL6/outgoing/100125_IL6_4308};

  lives_ok { $loader = npg_qc::api::loader::Qcal_Report->new({
                            runfolder_path => $runfolder_path,
                            util => $util,
  }); } q{loader object creation ok};

  isa_ok($loader, q{npg_qc::api::loader::Qcal_Report}, q{$loader});
  is($loader->_get_id_analysis_lane(1, 4), 3, 'correct id_analysis_lane for this run end 1 lane 4');
 
  lives_ok { $loader->run(); } q{4308 qcalreport runs ok};
}


{
  #test for paird indexing run
  my $loader;
  
  my $runfolder_path = qq{t/data/nfs/sf44/IL3/analysis/100117_IL3_4270};



  lives_ok { $loader = npg_qc::api::loader::Qcal_Report->new({
                            runfolder_path => $runfolder_path,
                            util => $util,
  }); } q{loader object creation ok};
  is($loader->_get_id_analysis_lane(2, 4), 5, 'correct id_analysis_lane for this run end 2 lane 4');
  lives_ok { $loader->run(); } q{4207 qcalreport runs ok};
}

1;
