use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More 'no_plan';
use Test::Exception;
use lib qw{t};
use SangerPaths qw(core);
use t::api::util;
use t::useragent;

BEGIN {
  use_ok(q{npg_qc::api::loader::Runlog});
}

my $ua_mock = {
     q{http://localhost:8080/cgi-bin/prodsoft/npg_qc/npg_qc/cache_query}   => q{t/data/requests/cgi-bin/prodsoft/npg_qc/npg_qc/run_caching.xml},
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run/4308}         => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/4308.xml},
  };
  my $ua   = t::useragent->new({is_success => 1, mock => $ua_mock});
  my $npg_api_util = npg::api::util->new({useragent => $ua});
  my $util = t::api::util->new({dbh => 'dummy', npg_api_util => $npg_api_util, fixtures => 1, useragent => $ua, parser => 0, base_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg_qc/npg_qc/', npg_uri => 'http://intweb.sanger.ac.uk/cgi-bin/prodsoft/npg/npg/'});

{

  #test for paird run
  my $loader;
  
  my $runfolder_path = qq{t/data/nfs/sf44/IL6/outgoing/100125_IL6_4308};

  lives_ok { $loader = npg_qc::api::loader::Runlog->new({
                            runfolder_path => $runfolder_path,
                            util => $util,
  }); } q{loader object creation ok};

  isa_ok($loader, q{npg_qc::api::loader::Runlog}, q{$loader});

  lives_ok { $loader->run(); } q{4308 runlog runs ok};
}

1;
