#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-09-24
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 60-autoqc-db-checks-split_stats_coverage.t 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/t/60-autoqc-db-checks-split_stats_coverage.t $
#

use strict;
use warnings;
use Test::More tests => 4;
use English qw(-no_match_vars);
use lib qw{t};
use SangerPaths qw(core ensembl);
use t::api::util;
use t::useragent;
use Carp;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

$ENV{dev} = 'test';

use_ok('npg_qc::autoqc::db::checks::split_stats_coverage');

my $util = t::api::util->new({fixtures => 1, dbh => undef, useragent => undef});

my $dbname   = $util->dbname();
my $dbhost   = $util->dbhost();
my $dbport   = $util->dbport();
my $user     = $util->dbuser();
my $password = $util->dbpass();
my $db ={ dsn=>"DBI:mysql:database=$dbname;host=$dbhost;port=$dbport", username=>$user, password => $password };

npg_qc::autoqc::db::Schema->load_schema($db);

my $split_stats_coverage = npg_qc::autoqc::db::checks::split_stats_coverage->new(id_split_stats_coverage => 1);

my @attributes = $split_stats_coverage->meta->get_all_attributes();

foreach my $attr (@attributes){
  my $name = $attr->name();
  print $name, "\t";
  print $attr->type_constraint, "\t";
  print $split_stats_coverage->$name(), "\n";
}

is(scalar @attributes, 5, 'correct number of attributes');
is($split_stats_coverage->fastq(), 1, 'correct id run');
is($split_stats_coverage->coverage(), 0.1234, 'correct position');


1;
__END__
