#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-07-23
# Last Modified: $Date: 2011-07-21 16:13:49 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 60-autoqc-db-checks-tag_decode_stats.t 13723 2011-07-21 15:13:49Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.0/t/60-autoqc-db-checks-tag_decode_stats.t $
#

use strict;
use warnings;
use Test::More tests => 11;
use Test::Exception;
use English qw(-no_match_vars);
use lib qw{t};
use SangerPaths qw(core ensembl);
use t::api::util;
use t::useragent;
use Carp;

our $VERSION = do { my ($r) = q$Revision: 13723 $ =~ /(\d+)/mx; $r; };

$ENV{dev} = 'test';

use_ok('npg_qc::autoqc::db::checks::tag_decode_stats');

my $util = t::api::util->new({fixtures => 1, dbh => undef, useragent => undef});

my $dbname   = $util->dbname();
my $dbhost   = $util->dbhost();
my $dbport   = $util->dbport();
my $user     = $util->dbuser();
my $password = $util->dbpass();
my $db ={ dsn=>"DBI:mysql:database=$dbname;host=$dbhost;port=$dbport", username=>$user, password => $password };

npg_qc::autoqc::db::Schema->load_schema($db);

{
  my $stats = npg_qc::autoqc::db::checks::tag_decode_stats->new( id_tag_decode_stats => 1 );

  my @attributes = $stats->meta->get_all_attributes();

  is(scalar @attributes, 20, 'correct number of attributes');
  is($stats->id_run(), 3500, 'correct id run');
  is($stats->position, 1, 'correct position');
  is($stats->tag_code->{11}, 'GGCTAC', 'correct tag to code 1');

  is($stats->class_name(), 'tag_decode_stats', 'correct name');
  is($stats->check_name(), 'tag decode stats', 'correct check name');
}

{
  my $stats;
  lives_ok {
    $stats = npg_qc::autoqc::db::checks::tag_decode_stats->new(id_run => 3500, position =>1, tag_index => -1,)
  } 'no croak when query database using id_run 3500 position 1';
  is($stats->id_tag_decode_stats(), 1, 'correct id for error check of run 3500 position 1');
  is($stats->tag_index(), undef, 'tag index undefined');
}

{
  my $stats = npg_qc::autoqc::db::checks::tag_decode_stats->save_from_jsonfile("t/data/autoqc/4360_8_tag_decode_stats.json");
  is($stats->id_tag_decode_stats(), 2, 'data saved from the json file and the primary key is 2');
}

1;
