package t::autoqc::useragent;
use LWP::UserAgent;
use HTTP::Response;
use English qw(-no_match_vars);
use Carp;

*t::autoqc::useragent::request_http = *LWP::UserAgent::request;

fetch_from_file();

sub fetch_from_file {
  carp "Switching on fetching from file ... \n";
  *LWP::UserAgent::request = *t::autoqc::useragent::request_file;
}

sub fetch_from_web {
  *LWP::UserAgent::request = *t::autoqc::useragent::request_http;
}

sub request_file {
  my ($self, $request) = @_;

  #carp "Fetching from file ... \n";

  my $url = $request->uri();

  my ($stpath)  = $url =~ m{https?://psd\-[^/]+(.*?)$}mx;
  my ($npgpath) = $url =~ m{https?://intweb.*npg[^/]*?(.*?)$}mx;

  if($npgpath) {
      #########
      # some npg requests have ugly suffixes
      #
      $npgpath =~ s/_xml//mx;

      my $method = $request->method;
      if ($method && $method ne 'GET') {
	$npgpath .= q[-] . uc $method;
      }
  }

  my $test_data = '';

  if($stpath && -e "t/data/autoqc/st$stpath.xml") {
    $test_data = "t/data/autoqc/st$stpath.xml";
  } elsif($npgpath && -e "t/data/autoqc/npg$npgpath.xml") {
    #warn 'HERE';
    $test_data = "t/data/autoqc/npg$npgpath.xml";
  }
  
  if ($test_data) {
    open my $fh, q(<), $test_data or croak qq(Error opening $test_data: $ERRNO);
    local $RS   = undef;
    my $content = <$fh>;
    close $fh;

    return HTTP::Response->new(200, '200 Ok', undef, "$content");
  }

  carp qq(No mock data configured in npg-qc/autoqc for $url, searched for $test_data. );

  return HTTP::Response->new(404, "404 Not Found (No mock data configured for $url.)", undef, "TEST USERAGENT: No mock data configured for $url.");
};

1;
